APISettings
Update workspace settings
Update workspace name, logo, timezone, SLA configuration, and the Main portal theme. Only the fields you send change. Requires the admin scope.
PATCH
/settings/workspacecurl -X PATCH "https://productlane.com/api/v2/settings/workspace" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"logo_url": "https://example.com",
"timezone": "string",
"sla_enabled": true,
"sla_use_business_hours": true,
"max_response_time_hours": 0,
"domain_company_assignment_enabled": true,
"auto_switch_contact_to_latest_sender": true,
"auto_create_linear_customers": true,
"dark_mode": true,
"accent_color": "string",
"accent_text_color": "string",
"button_text_color": "string",
"dark_mode_accent_color": "string",
"dark_mode_accent_text_color": "string",
"dark_mode_button_text_color": "string",
"portal_embed_image_url": "https://example.com"
}'Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Body
application/json
namestringlogo_urlstring<uri> | nulltimezonestring | nullsla_enabledbooleansla_use_business_hoursbooleanmax_response_time_hoursinteger | nulldomain_company_assignment_enabledbooleanauto_switch_contact_to_latest_senderbooleanauto_create_linear_customersbooleanWhen false, a company reaches Linear as a customer the first time one of its threads is linked to an issue or project.
dark_modeboolean | nullMain portal and widget theme.
trueforces dark mode,falseforces light mode,nullfollows the visitor's system setting.accent_colorstringaccent_text_colorstringbutton_text_colorstringdark_mode_accent_colorstringdark_mode_accent_text_colorstringdark_mode_button_text_colorstringportal_embed_image_urlstring<uri> | nullSocial preview image for the portal.
Response
application/json
Successful response
idstringrequirednamestringrequireddomainstringrequiredcustom_domainstring | nullrequiredlogo_urlstring | nullrequiredtimezonestring | nullrequiredsla_enabledbooleanrequiredsla_use_business_hoursbooleanrequiredmax_response_time_hoursnumber | nullrequiredoffice_hoursanyemail_integration_enabledbooleanrequiredemail_integration_addressstring | nullrequireddomain_company_assignment_enabledbooleanrequiredauto_switch_contact_to_latest_senderbooleanrequiredauto_create_linear_customersbooleanrequiredrevenue_currencystringrequiredrevenue_formattingstringrequireddark_modeboolean | nullrequiredtrueforces dark mode,falseforces light mode,nullfollows the visitor's system setting.accent_colorstringrequiredaccent_text_colorstringrequiredbutton_text_colorstringrequireddark_mode_accent_colorstringrequireddark_mode_accent_text_colorstringrequireddark_mode_button_text_colorstringrequiredportal_embed_image_urlstring | nullrequiredcreated_atstringrequiredupdated_atstringrequired
{
"id": "string",
"name": "string",
"domain": "string",
"custom_domain": "string",
"logo_url": "string",
"timezone": "string",
"sla_enabled": true,
"sla_use_business_hours": true,
"max_response_time_hours": 0,
"office_hours": null,
"email_integration_enabled": true,
"email_integration_address": "string",
"domain_company_assignment_enabled": true,
"auto_switch_contact_to_latest_sender": true,
"auto_create_linear_customers": true,
"revenue_currency": "string",
"revenue_formatting": "string",
"dark_mode": true,
"accent_color": "string",
"accent_text_color": "string",
"button_text_color": "string",
"dark_mode_accent_color": "string",
"dark_mode_accent_text_color": "string",
"dark_mode_button_text_color": "string",
"portal_embed_image_url": "string",
"created_at": "string",
"updated_at": "string"
}